Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.script.normalize
Class AnalystNormalize

    java.lang.Object
      org.encog.app.analyst.script.normalize.AnalystNormalize

    public class AnalystNormalize

extends Object

This class holds information about the fields that the Encog Analyst will normalize.

Constructor Summary
`AnalystNormalize(AnalystScript theScript)` Construct the object.

Method Summary
`int` | `calculateInputColumns()`
`int` | `calculateOutputColumns()` Calculate the output columns.
`int` | `countActiveFields()`
`HandleMissingValues` | `getMissingValues()`
`List<AnalystField>` | `getNormalizedFields()`
`void` | `init(AnalystScript script)` Init the normalized fields.
`void` | `setMissingValues(HandleMissingValues missingValues)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystNormalize

    public AnalystNormalize(AnalystScript theScript)

  Construct the object.

  Parameters:
    `theScript` - The script.

Method Detail

### calculateInputColumns

    public final int calculateInputColumns()

  Returns:
    Calculate the input columns.

### calculateOutputColumns

    public final int calculateOutputColumns()

  Calculate the output columns.

  Returns:
    The output columns.

### countActiveFields

    public final int countActiveFields()

  Returns:
    Count the active fields.

### getNormalizedFields

    public final List<AnalystField> getNormalizedFields()

  Returns:
    the normalizedFields

### init

    public final void init(AnalystScript script)

  Init the normalized fields.

  Parameters:
    `script` - The script.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getMissingValues

    public HandleMissingValues getMissingValues()

  Returns:
    the missingValues

### setMissingValues

    public void setMissingValues(HandleMissingValues missingValues)

  Parameters:
    `missingValues` - the missingValues to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.